> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Paiements Par Marchand



## OpenAPI

````yaml openapi.json get /paiements/marchand/{marchand_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /paiements/marchand/{marchand_id}:
    get:
      tags:
        - Paiements
        - Paiements
      summary: Paiements Par Marchand
      operationId: paiements_par_marchand_paiements_marchand__marchand_id__get
      parameters:
        - name: marchand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Marchand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaiementRead'
                title: >-
                  Response Paiements Par Marchand Paiements Marchand  Marchand
                  Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaiementRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        client_id:
          type: string
          format: uuid
          title: Client Id
        livraison_id:
          type: string
          format: uuid
          title: Livraison Id
        montant:
          type: number
          title: Montant
        methode_paiement:
          $ref: '#/components/schemas/MethodePaiement'
        statut_paiement:
          $ref: '#/components/schemas/StatutPaiement-Output'
        recu_par:
          $ref: '#/components/schemas/RecuPar'
        date_paiement:
          type: string
          format: date-time
          title: Date Paiement
      type: object
      required:
        - id
        - client_id
        - livraison_id
        - montant
        - methode_paiement
        - statut_paiement
        - recu_par
        - date_paiement
      title: PaiementRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MethodePaiement:
      type: string
      enum:
        - mixx
        - flooz
        - presentiel
      title: MethodePaiement
    StatutPaiement-Output:
      type: string
      enum:
        - en_attente
        - remis_livreur
        - paye
        - echoue
        - rembourse
      title: StatutPaiement
    RecuPar:
      type: string
      enum:
        - marchand
        - livreur
      title: RecuPar
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.